using BingoBrain.Core;
using BingoBrain.HotFix;
using FGUI.ACommon;
using UnityEngine;

namespace BingoBrain
{
    public class NetLoadingUI : BaseUI
    {
        private NetLoadingUICtrl ctrl;
        private NetLoadingModel model;
        private FGUI.JNetIdle.com_Netidle ui;

        public NetLoadingUI(NetLoadingUICtrl ctrl) : base(ctrl)
        {
            uiName = UIConst.NetLoadingUI;
            this.ctrl = ctrl;
        }

        protected override void SetUIInfo(UIInfo uiInfo)
        {
            uiInfo.packageName = "JNetIdle";
            uiInfo.assetName = "com_Netidle";
            uiInfo.layerType = UILayerType.Popup;
            uiInfo.isNeedOpenAnim = false;
            uiInfo.isNeedCloseAnim = false;
            uiInfo.isNeedUIMask = true;
        }

        #region 生命周期
        protected override void OnInit()
        {
            //model = ModuleManager.Instance.GetModel(ModelConst.NetLoadingModel) as NetLoadingModel;
        }

        protected override void OnClose()
        {
        }

        protected override void OnBind()
        {
            ui = baseUI as FGUI.JNetIdle.com_Netidle;
        }

        protected override void OnOpenBefore(object args)
        {
            InitView();
        }

        protected override void OnOpen(object args)
        {
        }

        protected override void OnHide()
        {
        }

        protected override void OnDisplay(object args)
        {
        }
        #endregion

        #region 消息
        protected override void AddListener()
        {
            
        }
        protected override void RemoveListener()
        {
            
        }
        #endregion

        //初始化页面逻辑
        private void InitView()
        {

        }
    }
}